---
title: List tag key summary
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Resource Tagging](https://developers.cloudflare.com/api/typescript/resources/resource_tagging)

[Summary](https://developers.cloudflare.com/api/typescript/resources/resource_tagging/subresources/summary)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List tag key summary

client.resourceTagging.summary.get(SummaryGetParams {account\_id, cursor } params, RequestOptionsoptions?): [SummaryGetResponse](<https://developers.cloudflare.com/api/typescript/resources/resource_tagging#(resource)%20resource_tagging.summary%20%3E%20(model)%20summary_get_response%20%3E%20(schema)>) {key, values }

GET/accounts/{account\_id}/tags/summary

Lists all distinct tag keys and their distinct values across resources in an account.

##### Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**`X-Auth-Email: user@example.com`

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**`X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194`

##### ParametersExpand Collapse

<details>

<summary>

params: SummaryGetParams {account\_id, cursor }

</summary>

account\_id: string

Path param: Identifier.

maxLength32

minLength32

<a href="#(resource)%20resource_tagging.summary%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

cursor?: string

Query param: Cursor for pagination.

<a href="#(resource)%20resource_tagging.summary%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20cursor">Link to this property</a>

</details>

[Link to this property](<#(resource)%20resource_tagging.summary%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

SummaryGetResponse = Array&lt;SummaryGetResponseItem&gt;

Contains an array of tag keys with their distinct values.

</summary>

key: string

A tag key.

<a href="#(resource)%20resource_tagging.summary%20%3E%20(model)%20summary_get_response%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20key">Link to this property</a>

values: Array&lt;string&gt;

All distinct values for this tag key.

<a href="#(resource)%20resource_tagging.summary%20%3E%20(model)%20summary_get_response%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20values">Link to this property</a>

</details>

[Link to this property](<#(resource)%20resource_tagging.summary%20%3E%20(model)%20summary_get_response%20%3E%20(schema)>)

### List tag key summary

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const summaries = await client.resourceTagging.summary.get({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(summaries);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "key": "environment",
      "values": [
        "production",
        "staging"
      ]
    },
    {
      "key": "team",
      "values": [
        "engineering",
        "platform"
      ]
    }
  ],
  "result_info": {
    "count": 20,
    "cursor": "eyJhY2NvdW50X2lkIjoxMjM0NTY3ODkwfQ"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "key": "environment",
      "values": [
        "production",
        "staging"
      ]
    },
    {
      "key": "team",
      "values": [
        "engineering",
        "platform"
      ]
    }
  ],
  "result_info": {
    "count": 20,
    "cursor": "eyJhY2NvdW50X2lkIjoxMjM0NTY3ODkwfQ"
  }
}
```